Subject: Ticket Assigned - Order problem
From: Max <[email-masked]>
To: [email-masked]
Date: Mon, 23 May 2022 04:38:33 +0000

Hi Amira Alanaz,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order problem Good morning!

So I don’t know how it happened but my recent order has been shipped to jizan. I live in Riyadh and always order from here, as my default address. But some how it’s in jizan now. I called twice to cancel this order but they said they can’t cancel and if you didn’t pick it in 14 days it will be automatically cancel and money will be returned to my account. 

Kindly help me. I am attaching picture for your reference thanks 

Sent from my iPhone
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4336416